Escalada de privilegios en Sun Solaris PC NetLink

SeguridadVirus

Sun ha confirmado las vulnerabilidades en la versión 2.0 de PC NetLink ejecutándose en sistemas Solaris 7, 8 y 9 bajo plataforma SPARC.

Se ha confirmado la existencia de dos vulnerabilidades en Sun Solaris PC NetLink, que pueden ser empleadas por usuarios locales maliciosos para elevar sus privilegios en los sistemas.

Las vulnerabilidades se deben a que los comandos ‘/etc/init.d/slsadmin’ y ‘/opt/lanman/sbin/slsmgr’ de PC NetLink 2.0 abren los archivos en el directorio ‘/tmp’ de una forma insegura. Un usuario local podrá lograr la escritura de datos arbitrarios en el sistema de archivos con los permisos del usuario que ejecute los comandos afectados. Como resultado, el atacante conseguirá la ejecución de código arbitrario.

Sun ha confirmado las vulnerabilidades en la versión 2.0 de PC NetLink ejecutándose en sistemas Solaris 7, 8 y 9 bajo plataforma SPARC.

Se han publicado las siguientes actualizaciones:

PC NetLink 2.0 (para Solaris 7, 8 y 9 en plataforma SPARC): http://sunsolve.sun.com/pub-cgi/pdownload.pl?target=121209-01&method=h http://sunsolve.sun.com/pub-cgi/pdownload.pl?target=121332-01&method=h

Leer la biografía del autor  Ocultar la biografía del autor